package cn.ibizlab.businesscentral.core.odoo_crm.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_crm.domain.Crm_team;
import cn.ibizlab.businesscentral.core.odoo_crm.filter.Crm_teamSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[crm_team] 服务对象接口
 */
@Component
public class crm_teamFallback implements crm_teamFeignClient{

    public Crm_team create(Crm_team crm_team){
            return null;
     }
    public Boolean createBatch(List<Crm_team> crm_teams){
            return false;
     }




    public Page<Crm_team> search(Crm_teamSearchContext context){
            return null;
     }


    public Crm_team get(Long id){
            return null;
     }


    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }

    public Crm_team update(Long id, Crm_team crm_team){
            return null;
     }
    public Boolean updateBatch(List<Crm_team> crm_teams){
            return false;
     }


    public Page<Crm_team> select(){
            return null;
     }

    public Crm_team getDraft(){
            return null;
    }



    public Boolean checkKey(Crm_team crm_team){
            return false;
     }


    public Boolean save(Crm_team crm_team){
            return false;
     }
    public Boolean saveBatch(List<Crm_team> crm_teams){
            return false;
     }

    public Page<Crm_team> searchDefault(Crm_teamSearchContext context){
            return null;
     }


}
